Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.deploy
Class TargetStatus

    java.lang.Object
      weblogic.management.deploy.TargetStatus

All Implemented Interfaces:
  Serializable

Deprecated. since WLS 9.0 . Use `WebLogicDeploymentManager`

    public class TargetStatus

extends Object
implements Serializable

Interface used within the deployment API for tracking target specific status of deployment requests. These objects maintain the status of the deployment task for a particular target server or cluster in a deployment task. TargetStatus objects are created by the server as part of initiating a deployment request via the `DeployerRuntimeMBean` methods, which create a `DeploymentTaskRuntimeMBean` object to track overall status of the deployment task. The TargetStatus objects for such a task are accessible via the `DeploymentTaskRuntimeMBean.getTargets()` method.

See Also:
  Serialized Form

Field Summary
`static int` | `STATE_FAILED` Deprecated. Deployment failed or cancelled for this target
`static int` | `STATE_IN_PROGRESS` Deprecated. In progress.
`static int` | `STATE_INIT` Deprecated. Initial state
`static int` | `STATE_SUCCESS` Deprecated. Deployment succeeded for this target
`static int` | `STATE_UNAVAILABLE` Deprecated.
`static int` | `TYPE_CLUSTER` Deprecated. Indicates target is a cluster
`static int` | `TYPE_JMS_SERVER` Deprecated. Indicates target is a JMS server
`static int` | `TYPE_SAF_AGENT` Deprecated. Indicates target is a SAF agent
`static int` | `TYPE_SERVER` Deprecated. Indicates target is a server
`static int` | `TYPE_UNKNOWN` Deprecated. Indicates target is unknown
`static int` | `TYPE_VIRTUAL_HOST` Deprecated. Indicates target is a cluster

Method Summary
`Exception[]` | `getMessages()` Deprecated. Any messages generated during this task in the order received.
`int` | `getState()` Deprecated. Status of deployment for this target.
`String` | `getTarget()` Deprecated. Returns the name of the associated target server or cluster whose status is tracked by this object.
`int` | `getTargetType()` Deprecated. Indicates the type of target.
`protected boolean` | `isTargetListEmpty()` Deprecated.
`protected void` | `setTargetListEmpty(boolean targetListEmpty)` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### STATE_INIT

    public static final int STATE_INIT

  Deprecated.
  Initial state

  See Also:
    Constant Field Values

### STATE_IN_PROGRESS

    public static final int STATE_IN_PROGRESS

  Deprecated.
  In progress. Waiting for response

  See Also:
    Constant Field Values

### STATE_FAILED

    public static final int STATE_FAILED

  Deprecated.
  Deployment failed or cancelled for this target

  See Also:
    Constant Field Values

### STATE_SUCCESS

    public static final int STATE_SUCCESS

  Deprecated.
  Deployment succeeded for this target

  See Also:
    Constant Field Values

### STATE_UNAVAILABLE

    public static final int STATE_UNAVAILABLE

  Deprecated.
  Deployment deferred for this target as target unavailable

  See Also:
    Constant Field Values

### TYPE_UNKNOWN

    public static final int TYPE_UNKNOWN

  Deprecated.
  Indicates target is unknown

  See Also:
    Constant Field Values

### TYPE_SERVER

    public static final int TYPE_SERVER

  Deprecated.
  Indicates target is a server

  See Also:
    Constant Field Values

### TYPE_CLUSTER

    public static final int TYPE_CLUSTER

  Deprecated.
  Indicates target is a cluster

  See Also:
    Constant Field Values

### TYPE_JMS_SERVER

    public static final int TYPE_JMS_SERVER

  Deprecated.
  Indicates target is a JMS server

  See Also:
    Constant Field Values

### TYPE_VIRTUAL_HOST

    public static final int TYPE_VIRTUAL_HOST

  Deprecated.
  Indicates target is a cluster

  See Also:
    Constant Field Values

### TYPE_SAF_AGENT

    public static final int TYPE_SAF_AGENT

  Deprecated.
  Indicates target is a SAF agent

  See Also:
    Constant Field Values

Method Detail

### getState

    public int getState()

  Deprecated.
  Status of deployment for this target. State can transition from init to in progress, then to either failed or successful.

### getMessages

    public Exception[] getMessages()

  Deprecated.
  Any messages generated during this task in the order received.

### getTarget

    public String getTarget()

  Deprecated.
  Returns the name of the associated target server or cluster whose status is tracked by this object.

### getTargetType

    public int getTargetType()

  Deprecated.
  Indicates the type of target. Possible types are unknown, server and cluster. An unknown target generally indicates that this object has not been completely set up.

### setTargetListEmpty

    protected void setTargetListEmpty(boolean targetListEmpty)

  Deprecated.

### isTargetListEmpty

    protected boolean isTargetListEmpty()

  Deprecated.

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD